# $Revision: 1.34 $, $Date: 2006/05/11 18:48:25 $
#
# Conditional build:
%bcond_with	gnutls		# use GnuTLS library instead of OpenSSL
%bcond_without	gpgme		# disable using gpgme library for signing/encrypting with gnupg
%bcond_without	pam		# disable using of PAM authentication
%bcond_without	pcre		# disable using pcre library
%bcond_without	tcp_wrappers	# disable using tcp_wrappers for access control
%bcond_with	mysql		# enable MySQL support
%bcond_with	postgres	# enable PostgreSQL support
#
%include	/usr/lib/rpm/macros.perl
Summary:	An outgoing mail processor, and the SMTP tunnel
Summary(pl):	Procesor wychodzcej poczty i tunel SMTP
Name:		anubis
Version:	4.0
Release:	3
License:	GPL
Group:		Applications/Mail
Source0:	ftp://ftp.gnu.org/gnu/anubis/%{name}-%{version}.tar.gz
# Source0-md5:	cded94ad14e528e899f5e8f7fd1aa022
Source1:	%{name}.init
Source2:	%{name}.pamd
Patch0:		%{name}-info.patch
Patch1:		%{name}-nolibnsl.patch
URL:		http://www.gnu.org/software/anubis/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	bison
BuildRequires:	gettext-devel >= 0.12.1
%{?with_gnutls:BuildRequires:	gnutls-devel >= 1.2.5}
%{?with_gpgme:BuildRequires:	gpgme-devel >= 1:1.0.0}
BuildRequires:	guile-devel >= 5:1.6
%{?with_tcp_wrappers:BuildRequires:	libwrap-devel}
%{?with_mysql:BuildRequires:	mysql-devel}
%{!?with_gnutls:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_postgres:BuildRequires:	postgres-devel}
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
Requires(post,preun):	/sbin/chkconfig
Requires:	identserver
Requires:	pam >= 0.77.3
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Anubis is an outgoing mail processor. It goes between the MUA
(Mail User Agent) and the MTA (Mail Transport Agent), and can perform
on the fly various sorts of processing and conversion on the outgoing
mail in accord with the sender's specified rules, based on a highly
configurable regular expressions system. It operates as a proxy
server, independently from mail user agents. GNU Anubis can edit
outgoing mail headers, encrypt and/or sign mail with the GNU Privacy
Guard, build secure SMTP tunnels (Simple Mail Transport Protocol)
using the TLS/SSL encryption even if your mail user agent doesn't
support it, or tunnel a connection through a SOCKS proxy. Moreover,
GNU Anubis supports the remailers (it allows sending mail in an
anonymous way).

Remember, that to use per-user configuration files ident server has to
be running. Without it only system-wide configuration file is used.

If you want to use GNU Anubis with mutt mail client, install msg2smtp
package.

%description -l pl
GNU Anubis zajmuje si przetwarzaniem poczty wychodzcej. Znajduje si
on pomidzy MUA (Mail User Agent) i MTA (Mail Transport Agent) i moe
wykonywa w locie rne rodzaje przetwarzania i konwersji poczty
wychodzcej zalenie od podanych regu, bazujcych na wysoce
konfigurowalnym systemie wyrae regularnych. GNU Anubis dziaa jako
serwer proxy, niezalenie od programw pocztowych. Potrafi on zmienia
nagwki listw, szyfrowa lub podpisywa jest przy pomocy GNU Privacy
Guard, tworzy bezpieczne tunele SMTP uywajc szyfrowania TLS/SSL
nawet, gdy Twj program pocztowy nie ma takich moliwoci. Moliwe
jest te tunelowanie pocze przez SOCKS proxy. Co wicej, GNU Anubis
wspiera take remailery (czyli pozawala na anonimowe wysyanie
poczty).

Pamitaj, e aby uywa plikw konfiguracyjnych uytkownikw, serwer
ident musi by aktywny. Inaczej, uyty bdzie tylko gwny plik
konfiguracyjny.

Jeli chcesz uywa GNU Anubis z klientem poczty mutt, zainstaluj
pakiet msg2smtp.

%package -n msg2smtp
Summary:	msg2smtp takes mail at input and relays it to an SMTP server
Summary(pl):	msg2smtp wysya poczt przyjmowan na wejciu do serwera SMTP
Group:		Applications/Mail

%description -n msg2smtp
The msg2smtp script is a bridge between MUA programs which use
"sendmail" command to send mail (such as Mutt) and smtp servers. It is
particularly useful when used in connection with GNU Anubis mail
processor.

%description -n msg2smtp -l pl
Skrypt msg2smtp jest pomostem midzy programami pocztowymi uywajcymi
polecenia "sendmail" do wysyania listw (np. Mutt), a serwerem smtp.
Jest on szczeglnie przydatny w poczeniu z procesorem poczty GNU
Anubis.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
%{!?with_gnutls:	--without-gnutls} \
%{!?with_gnutls:	--with-openssl} \
%{?with_pam:		--with-pam} \
%{?with_pcre:		--with-pcre} \
%{!?with_gpgme:		--without-gpgme} \
%{?with_mysql:		--with-mysql} \
%{?with_postgres:	--with-postgres} \
%{?with_tcp_wrappers:	--with-tcp-wrappers} \
	--disable-dependency-tracking

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/pam.d,%{_sysconfdir},%{_bindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install ./contrib/msg2smtp.pl $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/anubis
install ./examples/2anubisrc $RPM_BUILD_ROOT%{_sysconfdir}/anubisrc
%{?with_pam:install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/anubis}
cp -f ./examples/1anubisrc examples/anubisrc

%find_lang %{name}
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add anubis
%service anubis restart
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1


%preun
if [ "$1" = "0" ]; then
	%service anubis stop
	/sbin/chkconfig --del anubis
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README INSTALL NEWS ChangeLog TODO examples/anubisrc
%{?with_pam:%doc examples/pam}
%attr(754,root,root) /etc/rc.d/init.d/anubis
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/anubisrc
%{?with_pam:%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/anubis}
%attr(755,root,root) %{_sbindir}/anubis
%{_datadir}/anubis
%{_mandir}/man1/*
%{_infodir}/*.info*

%files -n msg2smtp
%defattr(644,root,root,755)
%doc contrib/msg2smtp.txt
%attr(755,root,root) %{_bindir}/msg2smtp.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: anubis.spec,v $
Revision 1.34  2006/05/11 18:48:25  glen
- check files cleanup, rel 3

Revision 1.33  2006/02/24 15:20:04  glen
- use %service

Revision 1.32  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.31  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.30  2005/07/11 16:42:21  arekm
- BR gnutls >= 1.2.5

Revision 1.29  2005/02/13 16:34:32  qboosh
- uses modern gpgme (>= 1.0.0) at last
- BR: guile-devel, package scm files

Revision 1.28  2005/02/12 19:43:07  arekm
- up to 4.0

Revision 1.27  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.26  2004/12/16 20:28:27  darekr
- updated to 3.9.96

Revision 1.25  2004/07/11 12:06:11  qboosh
- bcond descs; patches need update

Revision 1.24  2004/07/10 17:27:49  serek
- upgrade for current usable branch.

Revision 1.23  2004/03/19 23:46:22  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.22  2004/02/28 15:40:04  qboosh
- added securityfixes patch (advised by author), release 4

Revision 1.21  2003/10/25 00:17:18  qboosh
- added boundary patch (official security-related fix for MIME parsing)
- updated info patch, added nolibnsl patch, new bconds, revised configure options
- release 3

Revision 1.20  2003/09/30 20:18:19  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.19  2003/09/26 14:01:10  baggins
- release 2
- req pam >= 0.77.3

Revision 1.18  2003/08/11 20:44:51  ankry
- cosmetics

Revision 1.17  2003/08/06 16:10:03  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.16  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:45:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/02/28 10:07:10  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.13  2003/02/13 13:56:02  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.12  2003/01/31 23:24:28  filon
- typos

Revision 1.11  2003/01/27 22:45:53  filon
- updated to 0.3.6
- enables support for tcp_wrappers and pam
- added conditionals for everything (pcre, gnutls, pam, tcp_wrappers)
- as default use openssl, but can use also gnutls
- enchanced and updated description (it is GNU Anubis now)
- added msg2smtp package
- info patch updated, added patch to fix --with-gpgme

Revision 1.10  2002/12/12 08:24:27  ankry
- adapterized

Revision 1.9  2002/12/12 01:33:17  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.8  2002/10/29 23:57:15  filon
- updated polish description (english was much longer, than polish)
- init sripts was PLD specific from beginning
- release 3

Revision 1.7  2002/09/11 21:44:45  undefine
- typo & working url

Revision 1.6  2002/09/09 19:52:10  areq
- update description from README
- write PLD specyfic init script
- relese 2, STBR

Revision 1.5  2002/09/09 19:29:48  kloczek
- updated to 3.4.6,
- added info files to %files and update info index in %post/%postun
  (added info patch),
  TODO: write PLD specific init script.

Revision 1.4  2002/08/20 08:13:58  kloczek
- simplification in %build.

Revision 1.3  2002/08/19 15:27:09  tjbynum
- new version, STBR.

Revision 1.2  2002/06/15 08:25:07  filon
- updated to 3.1 (security fixes)
- added br: automake, autoconf
- changed permssions, STBR

Revision 1.1  2002/06/11 23:09:02  filon
- very useful package
- working, STBR
